What are the minimum requirements for Android devices for the application to work correctly?

To start working with Wheely and receive rides, you first need to download the Wheely Driver App.
However, not all devices are compatible with the stable operation of the application. With some older smartphones, the application may inaccurately transmit coordinates, freeze or be thrown out of line.
For the application to work correctly, we have prepared a list of minimum requirements for Android devices:
  • Android version — 5.0 and higher.
  • RAM — Minimum RAM of 3 GB.
  • Processor modes — Qualcomm Snapdragon (version 630 and higher), Samsung Exynos, Hisilicon Kirim.
  • Location hardware — The device must have A-GPS and GPS + GLONASS + GALILEO.
These requirements can be found in the list of characteristics when choosing a device.

On which devices does the app work the best?
* – additional configuration required, see instruction for Xiaomi.
** – additional configuration required, see instruction for Huawei.
Additional configuration for all devices
For all devices:
  1. Set up "High Accuracy" of your GPS sensor. Go to Settings —> Location —> Location method/Mode —> High accuracy
  2. Turn off battery optimization for Android 6.0 and higher for Wheely Driver app. Go to Settings —> Battery —> Battery optimization —> All apps —> Wheely Driver —> Don't optimize.
Devices that the application will no longer work on.
With the following devices, you won't be able to go online in Wheely Driver app.
We use cookies to provide a user-friendly, safe and personalised experience for our users. To accept cookies continue browsing as normal. You can learn more in our Cookie Statement